﻿using MindFusion.Charting;
using MindFusion.Drawing;

using Brush = MindFusion.Drawing.Brush;

namespace MinApp
{
	public partial class MainPage : ContentPage
	{
		public MainPage()
		{
			InitializeComponent();

			chart.YAxis.Interval = 1;
			chart.ShowLegend = false;
			chart.HorizontalBars = true;

			// charts read data from objects that implement the Series interface.
			// you can use pre-defined series classes, such as BarSeries below,
			// or implement the interface in existing model class to avoid copying data.
			var series1 = new BarSeries(
				new List<double> { 2, 5, 3, 4 }, null, null);
			var series2 = new BarSeries(
				new List<double> { 5, 3, 4, 2 }, null, null);

			chart.Series.Add(series1);
			chart.Series.Add(series2);

			// assign one brush per series
			chart.Plot.SeriesStyle = new PerSeriesStyle
			{
				Fills = new List<Brush>
				{
					new SolidBrush(Colors.LightBlue),
					new SolidBrush(Colors.LightGreen)
				}
			};
		}
	}
}
